package org.ow2.bonita.variable;

import org.ow2.bonita.definition.TxHook;
import org.ow2.bonita.facade.APIAccessor;
import org.ow2.bonita.facade.runtime.ActivityBody;
import org.ow2.bonita.facade.runtime.ActivityInstance;
import org.ow2.bonita.facade.uuid.ProcessInstanceUUID;
import org.ow2.bonita.util.AccessorUtil;

public class IncrementInstanceVar implements TxHook {

  public void execute(APIAccessor accessor, ActivityInstance<ActivityBody> activityInstance) throws Exception {
    ProcessInstanceUUID instanceUUID = activityInstance.getProcessInstanceUUID();
    Long v = (Long) AccessorUtil.getQueryRuntimeAPI().getProcessInstanceVariable(instanceUUID, "v");
    Long newV = new Long(v + 1);
    Thread.sleep(10);
    AccessorUtil.getRuntimeAPI().setProcessInstanceVariable(instanceUUID, "v", newV);
    Thread.sleep(10);
  }

}
